data:extend({

  {
    type = "technology",
    name = "advanced-inserter-1",
    icon = "__Advanced-Inserters__/graphics/inserters/advanced-inserter.png",
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "advanced-inserter"
      },
    },
    prerequisites = {"logistics-3","automation-3"},
    unit =
    {
      count = 200,
      ingredients =
      {
        {"science-pack-1", 1},
        {"science-pack-2", 1},
		{"science-pack-3", 1},
      },
      time = 30
    },
    order = "a-f-d-a",
  },
  {
    type = "technology",
    name = "advanced-inserter-2",
    icon = "__Advanced-Inserters__/graphics/inserters/super-inserter.png",
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "super-inserter"
      },
    },
    prerequisites = {"advanced-inserter-1"},
    unit =
    {
      count = 350,
      ingredients =
      {
        {"science-pack-1", 1},
        {"science-pack-2", 1},
		{"science-pack-3", 1},
      },
      time = 30
    },
    order = "a-f-d-b",
	upgrade = true,
  }
})